XFFTools (BioJava-1.5-beta API)
Keywords: org.biojava.bio.program.xff.XFFTools class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.xff
Class XFFTools

    java.lang.Object
      org.biojava.bio.program.xff.XFFTools

    public class XFFTools

extends Object

Common functionality for manipulating XFF.

Author:
  Matthew Pocock

Field Summary
`static String` | `XFF_BIOJAVA_NS`
`static String` | `XFF_NS`

Constructor Summary
`XFFTools()`

Method Summary
`static void` | `annotateXFF(File xffFile, Sequence sequence)`
`static void` | `annotateXFF(File xffFile, Sequence sequence, Annotation ann)`
`static Sequence` | `readXFF(File xffFile, String seqID)`
`static Sequence` | `readXFF(File xffFile, String seqID, FiniteAlphabet alpha)`
`static void` | `writeXFF(File xffFile, FeatureHolder features)`
`static void` | `writeXFF(PrintWriter xffPR, FeatureHolder features)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XFF_NS

    public static final String XFF_NS

See Also:
  Constant Field Values

### XFF_BIOJAVA_NS

    public static final String XFF_BIOJAVA_NS

See Also:
  Constant Field Values

Constructor Detail

### XFFTools

    public XFFTools()

Method Detail

### annotateXFF

    public static void annotateXFF(File xffFile,
                                   Sequence sequence)
                            throws IOException,
                                   SAXException,
                                   BioException

  Throws:
    `IOException`
    `SAXException`
    `BioException`

### annotateXFF

    public static void annotateXFF(File xffFile,
                                   Sequence sequence,
                                   Annotation ann)
                            throws IOException,
                                   SAXException,
                                   BioException

  Throws:
    `IOException`
    `SAXException`
    `BioException`

### readXFF

    public static Sequence readXFF(File xffFile,
                                   String seqID,
                                   FiniteAlphabet alpha)
                            throws IOException,
                                   SAXException,
                                   BioException

  Throws:
    `IOException`
    `SAXException`
    `BioException`

### readXFF

    public static Sequence readXFF(File xffFile,
                                   String seqID)
                            throws IOException,
                                   SAXException,
                                   BioException

  Throws:
    `IOException`
    `SAXException`
    `BioException`

### writeXFF

    public static void writeXFF(File xffFile,
                                FeatureHolder features)
                         throws IOException

  Throws:
    `IOException`

### writeXFF

    public static void writeXFF(PrintWriter xffPR,
                                FeatureHolder features)
                         throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD